Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc.exceptions
[Java] Class IncompatibleParameterCountException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.servlet.mvc.exceptions.GrailsMVCException
                          org.codehaus.groovy.grails.web.servlet.mvc.exceptions.IncompatibleParameterCountException

    public class IncompatibleParameterCountException
    extends GrailsMVCException

Thrown when a closure has an incompatible parameter count for a controller implementation.

Authors:
  Steven Devijver

Constructor Summary
`IncompatibleParameterCountException()`
`IncompatibleParameterCountException(java.lang.String message)`
`IncompatibleParameterCountException(java.lang.String message, java.lang.Throwable cause)`
`IncompatibleParameterCountException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#wait(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### IncompatibleParameterCountException

    public IncompatibleParameterCountException()

### IncompatibleParameterCountException

    public IncompatibleParameterCountException(java.lang.String message)

### IncompatibleParameterCountException

    public IncompatibleParameterCountException(java.lang.String message, java.lang.Throwable cause)

### IncompatibleParameterCountException

    public IncompatibleParameterCountException(java.lang.Throwable cause)

Groovy Documentation